;+
;PROCEDURE: set_com_dig_hk
;PURPOSE: Set up common variables for PLASTIC data analysis.
;    
;
;INPUT
;PARAMETERS:   none
;
;CREATED BY: L. Ellis
;
;LAST MODIFICATION: 09/20/2006
;
;MODIFICATION HISTORY:
;    09/20/2006 Created
;	November 2006 modified by K. Simunac for housekeeping data
;-
PRO set_com_dig_hk
compile_opt strictarrsubs
COMMON share1_dig_hk, epoch1_a, epoch1_b, epoch5_a, epoch5_b, $
	data1_index_a, data1_index_b, data5_index_a, data5_index_b
; epoch1/5_a/b[time]
; data1/5_index_a/b -- array of pairs (start index into epoch array for
;                    valid data), (num valid data elements from that
;                    start index)
COMMON com_dig_hk, dpu_sw_version_a, cmd_rcvd_cnt_a, cmd_exec_cnt_a, cmd_total_err_cnt_a, cmd_parity_err_cnt_a, $
	cmd_frame_err_cnt_a, cmd_illegal_err_cnt_a, ic_status_reg_a, ic_ctl_reg_a, lbc_reset_ctl_a, lbc_mode_ctl_a, $
	lbc_logic_ctl_a_a, lbc_logic_ctl_b_a, lbc_tac_pwr_ctl_a, lbc_reg_seq_a, lbc_event_ctl_a, lbc_rlim_ch_a, $
	lbc_rlim_hi_a, lbc_rlim_lo_a, lbe_pos_ctrl_a, lbe_pos_disable0_a, lbe_pos_disable2_a, lbe_tac0_ctrl_a, $
	lbe_tac0_dac_a, lbe_tac2_ctrl_a, lbe_tac2_dac_a, lbe_tac0_under_hi_a, lbe_tac0_under_lo_a, lbe_tac0_over_hi_a, $
	lbe_tac0_over_lo_a, lbe_tac2_under_hi_a, lbe_tac2_under_lo_a, lbe_tac2_over_hi_a, lbe_tac2_over_lo_a, $
	lbe_ssd_ctrl_a, lbe_ssd_cmd_h_a, lbe_ssd_cmd_l_a, lbe_ssd_dis_a, lbe_ssd_under_hi_a, lbe_ssd_under_lo_a, $
	lbe_ssd_over_hi_a, lbe_ssd_over_lo_a, lbe_sel_ctrl_a, lbe_trig_mode_a, lbe_esa_step_a, lbe_defl_step_a, $
	lbe_ssd_offset0_a, lbe_ssd_offset1_a, lbe_ssd_offset2_a, lbe_ssd_offset3_a, lbe_ssd_offset4_a, $
	lbe_ssd_offset5_a, lbe_ssd_offset6_a, lbe_ssd_offset7_a, lbe_stim_enable_a, lbe_stim_freq_hi_a, $
	lbe_stim_freq_lo_a, lbe_sel0_window_a, lbe_sel2_window_a, lbe_ssd_offset8_a, lbe_ssd_offset9_a, $
	lbe_ssd_offset10_a, lbe_ssd_offset11_a, lbe_ssd_offset12_a, lbe_ssd_offset13_a, lbe_ssd_offset14_a, $
	lbe_ssd_offset15_a, lbe_pos_ra_a, dacm_pac_mcp_ssd_ctl_mcp_limit_a, dacm_pac_limit_a, dacm_esa_ctl_a, $
	dacm_s_ch_ctl_a, dacm_dfl_1_ctl_a, dacm_dfl_2_ctl_a, dacm_control_a, dacm_status_a, dacm_adc_lu_ctr_a, $
	dacm_dfl_1_offset_a, dacm_dfl_2_offset_a, dacm_pac_coarse_a, dacm_pac_fine_a, dacm_pac_cm_fs_coarse_a, $
	dacm_pac_cm_fs_fine_a, dacm_mcp_coarse_a, dacm_mcp_fine_a, dacm_mcp_cm_fs_coarse_a, dacm_mcp_cm_fs_fine_a, $
	dacm_ssd_coarse_a, dacm_ssd_fine_a, dacm_esa_coarse_a, dacm_esa_fine_a, dacm_s_ch_coarse_a, dacm_s_ch_fine_a, $
	dacm_s_ch_tap_coarse_a, dacm_s_ch_tap_fine_a, dacm_dfl_1_coarse_a, dacm_dfl_1_fine_a, dacm_dfl_1_dfine_a, $
	dacm_dfl_2_coarse_a, dacm_dfl_2_fine_a, dacm_dfl_2_dfine_a, dacr_pac_mcp_ssd_ctl_mcp_limit_a, $
	dacr_pac_limit_a, dacr_esa_ctl_a, dacr_s_ch_ctl_a, dacr_dfl_1_ctl_a, dacr_dfl_2_ctl_a, dacr_control_a, $
	dacr_status_a, dacr_adc_lu_ctr_a, dacr_dfl_1_offset_a, dacr_dfl_2_offset_a, dacr_c_pac_coarse_a, $
	dacr_c_pac_fine_a, dacr_c_pac_cm_fs_coarse_a, dacr_c_pac_cm_fs_fine_a, dacr_c_mcp_coarse_a, dacr_c_mcp_fine_a, $
	dacr_c_mcp_cm_fs_coarse_a, dacr_c_mcp_cm_fs_fine_a, dacr_c_ssd_coarse_a, dacr_c_ssd_fine_a, dacr_c_esa_coarse_a, $
	dacr_c_esa_fine_a, dacr_c_s_ch_coarse_a, dacr_c_s_ch_fine_a, dacr_c_s_ch_tap_coarse_a, dacr_c_s_ch_tap_fine_a, $
	dacr_dfl_1_coarse_a, dacr_dfl_1_fine_a, dacr_dfl_1_dfine_a, dacr_dfl_2_coarse_a, dacr_dfl_2_fine_a, $
	dacr_dfl_2_dfine_a, sw_status1_a, sw_hv_ramp_status_a, sw_hv_enable_status_a, sw_hv_limit_status_a, $
	sw_eepromchksum_a, hkp_sampletime_a, pac_discharge_status_a, pac_discharge_cnt_a, pac_discharge_conseccntr_a, $
	pac_discharge_safe_att_a, analog_limit_status_a, analog_lim_pt1_status_a, analog_lim_pt1_id_a, $
	analog_lim_pt1_red_a, analog_lim_pt2_status_a, analog_lim_pt2_id_a, analog_lim_pt2_red_a, $
	analog_lim_pt3_status_a, analog_lim_pt3_id_a, analog_lim_pt3_red_a, analog_lim_pt4_status_a, $
	analog_lim_pt4_id_a, analog_lim_pt4_red_a, analog_lim_pt5_status_a, analog_lim_pt5_id_a, analog_lim_pt5_red_a, $
	analog_lim_pt6_status_a, analog_lim_pt6_id_a, analog_lim_pt6_red_a, analog_lim_pt7_status_a, $
	analog_lim_pt7_id_a, analog_lim_pt7_red_a, analog_lim_pt8_status_a, analog_lim_pt8_id_a, analog_lim_pt8_red_a, $
	analog_lim_pt9_status_a, analog_lim_pt9_id_a, analog_lim_pt9_red_a, analog_lim_pt10_status_a, $
	analog_lim_pt10_id_a, analog_lim_pt10_red_a, analog_lim_pt11_status_a, analog_lim_pt11_id_a, $
	analog_lim_pt11_red_a, analog_lim_pt12_status_a, analog_lim_pt12_id_a, analog_lim_pt12_red_a, $
	analog_lim_pt13_status_a, analog_lim_pt13_id_a, analog_lim_pt13_red_a, analog_lim_pt14_status_a, $
	analog_lim_pt14_id_a, analog_lim_pt14_red_a, analog_lim_pt15_status_a, analog_lim_pt15_id_a, $
	analog_lim_pt15_red_a, opmode_a, sw_mode_a, proton_mode_a, active_supplyid_a, supply_coarse_rb_a, $
	supply_fine_rb_a, swmaint_supplystat_a, swmaint_pac_coarse_a, swmaint_pac_fine_a, $
	dpu_sw_version_b, cmd_rcvd_cnt_b, cmd_exec_cnt_b, cmd_total_err_cnt_b, cmd_parity_err_cnt_b, $
	cmd_frame_err_cnt_b, cmd_illegal_err_cnt_b, ic_status_reg_b, ic_ctl_reg_b, lbc_reset_ctl_b, $
	lbc_mode_ctl_b, lbc_logic_ctl_a_b, lbc_logic_ctl_b_b, lbc_tac_pwr_ctl_b, lbc_reg_seq_b, $
	lbc_event_ctl_b, lbc_rlim_ch_b, lbc_rlim_hi_b, lbc_rlim_lo_b, lbe_pos_ctrl_b, lbe_pos_disable0_b, $
	lbe_pos_disable2_b, lbe_tac0_ctrl_b, lbe_tac0_dac_b, lbe_tac2_ctrl_b, lbe_tac2_dac_b, $
	lbe_tac0_under_hi_b, lbe_tac0_under_lo_b, lbe_tac0_over_hi_b, lbe_tac0_over_lo_b, $
	lbe_tac2_under_hi_b, lbe_tac2_under_lo_b, lbe_tac2_over_hi_b, lbe_tac2_over_lo_b, $
	lbe_ssd_ctrl_b, lbe_ssd_cmd_h_b, lbe_ssd_cmd_l_b, lbe_ssd_dis_b, lbe_ssd_under_hi_b, $
	lbe_ssd_under_lo_b, lbe_ssd_over_hi_b, lbe_ssd_over_lo_b, lbe_sel_ctrl_b, lbe_trig_mode_b, $
	lbe_esa_step_b, lbe_defl_step_b, lbe_ssd_offset0_b, lbe_ssd_offset1_b, lbe_ssd_offset2_b, $
	lbe_ssd_offset3_b, lbe_ssd_offset4_b, lbe_ssd_offset5_b, lbe_ssd_offset6_b, lbe_ssd_offset7_b, $
	lbe_stim_enable_b, lbe_stim_freq_hi_b, lbe_stim_freq_lo_b, lbe_sel0_window_b, lbe_sel2_window_b, $
	lbe_ssd_offset8_b, lbe_ssd_offset9_b, lbe_ssd_offset10_b, lbe_ssd_offset11_b, lbe_ssd_offset12_b, $
	lbe_ssd_offset13_b, lbe_ssd_offset14_b, lbe_ssd_offset15_b, lbe_pos_ra_b, dacm_pac_mcp_ssd_ctl_mcp_limit_b, $
	dacm_pac_limit_b, dacm_esa_ctl_b, dacm_s_ch_ctl_b, dacm_dfl_1_ctl_b, dacm_dfl_2_ctl_b, dacm_control_b, $
	dacm_status_b, dacm_adc_lu_ctr_b, dacm_dfl_1_offset_b, dacm_dfl_2_offset_b, dacm_pac_coarse_b, $
	dacm_pac_fine_b, dacm_pac_cm_fs_coarse_b, dacm_pac_cm_fs_fine_b, dacm_mcp_coarse_b, dacm_mcp_fine_b, $
	dacm_mcp_cm_fs_coarse_b, dacm_mcp_cm_fs_fine_b, dacm_ssd_coarse_b, dacm_ssd_fine_b, dacm_esa_coarse_b, $
	dacm_esa_fine_b, dacm_s_ch_coarse_b, dacm_s_ch_fine_b, dacm_s_ch_tap_coarse_b, dacm_s_ch_tap_fine_b, $
	dacm_dfl_1_coarse_b, dacm_dfl_1_fine_b, dacm_dfl_1_dfine_b, dacm_dfl_2_coarse_b, dacm_dfl_2_fine_b, $
	dacm_dfl_2_dfine_b, dacr_pac_mcp_ssd_ctl_mcp_limit_b, dacr_pac_limit_b, dacr_esa_ctl_b, $
	dacr_s_ch_ctl_b, dacr_dfl_1_ctl_b, dacr_dfl_2_ctl_b, dacr_control_b, dacr_status_b, dacr_adc_lu_ctr_b, $
	dacr_dfl_1_offset_b, dacr_dfl_2_offset_b, dacr_c_pac_coarse_b, dacr_c_pac_fine_b, dacr_c_pac_cm_fs_coarse_b, $
	dacr_c_pac_cm_fs_fine_b, dacr_c_mcp_coarse_b, dacr_c_mcp_fine_b, dacr_c_mcp_cm_fs_coarse_b, $
	dacr_c_mcp_cm_fs_fine_b, dacr_c_ssd_coarse_b, dacr_c_ssd_fine_b, dacr_c_esa_coarse_b, dacr_c_esa_fine_b, $
	dacr_c_s_ch_coarse_b, dacr_c_s_ch_fine_b, dacr_c_s_ch_tap_coarse_b, dacr_c_s_ch_tap_fine_b, $
	dacr_dfl_1_coarse_b, dacr_dfl_1_fine_b, dacr_dfl_1_dfine_b, dacr_dfl_2_coarse_b, dacr_dfl_2_fine_b, $
	dacr_dfl_2_dfine_b, sw_status1_b, sw_hv_ramp_status_b, sw_hv_enable_status_b, sw_hv_limit_status_b, $
	sw_eepromchksum_b, hkp_sampletime_b, pac_discharge_status_b, pac_discharge_cnt_b, pac_discharge_conseccntr_b, $
	pac_discharge_safe_att_b, analog_limit_status_b, analog_lim_pt1_status_b, analog_lim_pt1_id_b, $
	analog_lim_pt1_red_b, analog_lim_pt2_status_b, analog_lim_pt2_id_b, analog_lim_pt2_red_b, $
	analog_lim_pt3_status_b, analog_lim_pt3_id_b, analog_lim_pt3_red_b, analog_lim_pt4_status_b, $
	analog_lim_pt4_id_b, analog_lim_pt4_red_b, analog_lim_pt5_status_b, analog_lim_pt5_id_b, $
	analog_lim_pt5_red_b, analog_lim_pt6_status_b, analog_lim_pt6_id_b, analog_lim_pt6_red_b, $
	analog_lim_pt7_status_b, analog_lim_pt7_id_b, analog_lim_pt7_red_b, analog_lim_pt8_status_b, $
	analog_lim_pt8_id_b, analog_lim_pt8_red_b, analog_lim_pt9_status_b, analog_lim_pt9_id_b, $
	analog_lim_pt9_red_b, analog_lim_pt10_status_b, analog_lim_pt10_id_b, analog_lim_pt10_red_b, $
	analog_lim_pt11_status_b, analog_lim_pt11_id_b, analog_lim_pt11_red_b, analog_lim_pt12_status_b, $
	analog_lim_pt12_id_b, analog_lim_pt12_red_b, analog_lim_pt13_status_b, analog_lim_pt13_id_b, $
	analog_lim_pt13_red_b, analog_lim_pt14_status_b, analog_lim_pt14_id_b, analog_lim_pt14_red_b, $
	analog_lim_pt15_status_b, analog_lim_pt15_id_b, analog_lim_pt15_red_b, opmode_b, sw_mode_b, $
	proton_mode_b, active_supplyid_b, supply_coarse_rb_b, supply_fine_rb_b, swmaint_supplystat_b, $
	swmaint_pac_coarse_b, swmaint_pac_fine_b        

END 
