;+
;PROCEDURE: set_com_high_res
;PURPOSE: Set up common variables for PLASTIC data analysis.
;    
;
;INPUT
;PARAMETERS:   none
;
;CREATED BY: L. Ellis
; Modified by K. Simunac for processing full rate data
;
;LAST MODIFICATION: 31 March, 2008
;    04/22/2008: LBE: added small_epoch1_copy, small_density_1
;
;-
PRO set_com_high_res
compile_opt strictarrsubs
COMMON share1_high_res, epoch1_a, epoch1_b, data1_index_a, data1_index_b
; epoch1/5_a/b[time]
; data1/5_index_a/b -- array of pairs (start index into epoch array for
;                    valid data), (num valid data elements from that
;                    start index)
COMMON com_high_res, sf0_a_full, ra_trig_a_full, $
  $
  sf0_b_full, ra_trig_b_full, $
  $
  error1_a, error1_b, cycle1_a, cycle1_b, s_chan1_a, s_chan1_b, $
  $
  data_matrix_A, data_matrix_B, density_1, density_2, epoch1, epoch1_copy, final_count, $
  small_epoch1_copy, small_density_1
  

END 
