;+
;PROCEDURE: set_com_mon
;PURPOSE: Set up common variables for PLASTIC data analysis.
;    
;
;INPUT
;PARAMETERS:   none
;
;CREATED BY: L. Ellis
;
;LAST MODIFICATION: 07/03/2007
;
;MODIFICATION HISTORY:
;    09/20/2006 Created
;	3 July, 2007:  combined variables from com_mon, com_mon_full, com_dig_hk,
;			com_hk, com_sc_hk
;    05/29/2014 LBE: Added device code.
;-
PRO set_com_mon
compile_opt strictarrsubs
COMMON share1_mon, epoch1_a, epoch1_b, epoch5_a, epoch5_b,$
		 epoch1_full_a, epoch1_full_b, $
		epoch1_hk_a, epoch1_hk_b, epoch5_hk_a, eposh5_hk_b, $
		epoch1_dig_hk_a, epoch1_dig_hk_b, epoch5_dig_hk_a, epoch5_dig_hk_b, $
		epoch1_sc_hk_a, epoch1_sc_hk_b, epoch5_sc_hk_a, epoch5_sc_hk_b, epoch3_sc_hk_a, epoch3_sc_hk_b, $
		data1_index_a, data1_index_b, data5_index_a, data5_index_b, $
		data1_full_index_a,  data1_full_index_b, $
		data1_hk_index_a, data1_hk_index_b, data5_hk_index_a, data5_hk_index_b, $
		data1_dig_hk_index_a, data1_dig_hk_index_b, data5_dig_hk_index_a, data5_dig_hk_index_b, $
		data1_sc_hk_index_a, data1_sc_hk_index_b, data5_sc_hk_index_a, data5_sc_hk_index_b, data3_sc_hk_index_a, data3_sc_hk_index_b
	  
COMMON com_mon, s_valid_a_sci, s_e_not_req_a_sci, s_e_req_a_sci, s_no_pos_a_sci, s_mult_pos_a_sci, s_no_e_a_sci, $
		s_mult_e_a_sci, ra_sat_a_a_sci, ra_sat_b_a_sci, ra_sat_both_a_sci, ssd_sw_a_sci, ssd_st_a_sci, $
		sf0_a_sci, sfr0_a_sci, stp0_a_sci, ra_trig_a_sci, pos1_0_a_sci, pos1_1_a_sci, $
		w_no_pos_a_sci, w_mult_pos_a_sci, w_valid_a_sci, sf2_a_sci, sfr2_a_sci, stp2_a_sci, pos2_0_a_sci, $
		pos2_1_a_sci, pos2_2_a_sci, pos2_3_a_sci, pos3_0_a_sci, pos3_1_a_sci, pos3_2_a_sci, pos3_3_a_sci, $
		stop0_a_sci, start0_a_sci, stop2_a_sci, start2_a_sci, pos1_a_sci, pos2_a_sci, pos3_a_sci, sf0ra_trig_a_sci,$
		$
		s_valid_b_sci, s_e_not_req_b_sci, s_e_req_b_sci, s_no_pos_b_sci, s_mult_pos_b_sci, s_no_e_b_sci, $
		s_mult_e_b_sci, ra_sat_a_b_sci, ra_sat_b_b_sci, ra_sat_both_b_sci, ssd_sw_b_sci, ssd_st_b_sci, $
		sf0_b_sci, sfr0_b_sci, stp0_b_sci, ra_trig_b_sci, pos1_0_b_sci, pos1_1_b_sci, $
		w_no_pos_b_sci, w_mult_pos_b_sci, w_valid_b_sci, sf2_b_sci, sfr2_b_sci, stp2_b_sci, pos2_0_b_sci, $
		pos2_1_b_sci, pos2_2_b_sci, pos2_3_b_sci, pos3_0_b_sci, pos3_1_b_sci, pos3_2_b_sci, pos3_3_b_sci, $
		stop0_b_sci, start0_b_sci, stop2_b_sci, start2_b_sci, pos1_b_sci, pos2_b_sci, pos3_b_sci, sf0ra_trig_b_sci,$
		$
		sum_defl_s_valid_a_sci, sum_defl_s_e_not_req_a_sci, sum_defl_s_e_req_a_sci, $
		sum_defl_s_no_pos_a_sci, sum_defl_s_mult_pos_a_sci, sum_defl_s_no_e_a_sci, sum_defl_s_mult_e_a_sci, $
		sum_defl_ra_sat_a_a_sci, sum_defl_ra_sat_b_a_sci, sum_defl_ra_sat_both_a_sci, $
		sum_defl_ssd_sw_a_sci, sum_defl_ssd_st_a_sci, sum_defl_sf0_a_sci, $
		sum_defl_sfr0_a_sci, sum_defl_stp0_a_sci, sum_defl_ra_trig_a_sci, sum_defl_pos1_0_a_sci, $
		sum_defl_pos1_1_a_sci, sum_defl_w_no_pos_a_sci, sum_defl_w_mult_pos_a_sci, $
		sum_defl_w_valid_a_sci, sum_defl_sf2_a_sci, sum_defl_sfr2_a_sci, sum_defl_stp2_a_sci, $
		sum_defl_pos2_0_a_sci, sum_defl_pos2_1_a_sci, sum_defl_pos2_2_a_sci, sum_defl_pos2_3_a_sci, $
		sum_defl_pos3_0_a_sci, sum_defl_pos3_1_a_sci, sum_defl_pos3_2_a_sci, sum_defl_pos3_3_a_sci, $
		sum_defl_stop0_a_sci, sum_defl_start0_a_sci, sum_defl_stop2_a_sci, sum_defl_start2_a_sci, $
		sum_defl_pos1_a_sci, sum_defl_pos2_a_sci, sum_defl_pos3_a_sci, sum_defl_sf0ra_trig_a_sci,$
		$
		sum_defl_s_valid_b_sci, sum_defl_s_e_not_req_b_sci, sum_defl_s_e_req_b_sci, $
		sum_defl_s_no_pos_b_sci, sum_defl_s_mult_pos_b_sci, sum_defl_s_no_e_b_sci, sum_defl_s_mult_e_b_sci, $
		sum_defl_ra_sat_a_b_sci, sum_defl_ra_sat_b_b_sci, sum_defl_ra_sat_both_b_sci, $
		sum_defl_ssd_sw_b_sci, sum_defl_ssd_st_b_sci, sum_defl_sf0_b_sci, sum_defl_sfr0_b_sci, $
		sum_defl_stp0_b_sci, sum_defl_ra_trig_b_sci, sum_defl_pos1_0_b_sci, sum_defl_pos1_1_b_sci, $
		sum_defl_w_no_pos_b_sci, sum_defl_w_mult_pos_b_sci, sum_defl_w_valid_b_sci, sum_defl_sf2_b_sci, $
		sum_defl_sfr2_b_sci, sum_defl_stp2_b_sci, sum_defl_pos2_0_b_sci, sum_defl_pos2_1_b_sci, $
		sum_defl_pos2_2_b_sci, sum_defl_pos2_3_b_sci, sum_defl_pos3_0_b_sci, sum_defl_pos3_1_b_sci, $
		sum_defl_pos3_2_b_sci, sum_defl_pos3_3_b_sci, $
		sum_defl_stop0_b_sci, sum_defl_start0_b_sci, sum_defl_stop2_b_sci, sum_defl_start2_b_sci, $
		sum_defl_pos1_b_sci, sum_defl_pos2_b_sci, sum_defl_pos3_b_sci, sum_defl_sf0ra_trig_b_sci,$
		num_rows1_sci, num_rows5, num_rows1, $
		$
		s_valid_a_eng, s_e_not_req_a_eng, s_e_req_a_eng, s_no_pos_a_eng, s_mult_pos_a_eng, s_no_e_a_eng, $
		s_mult_e_a_eng, ra_sat_a_a_eng, ra_sat_b_a_eng, ra_sat_both_a_eng, ssd_sw_a_eng, ssd_st_a_eng, $
		sf0_a_eng, sfr0_a_eng, stp0_a_eng, ra_trig_a_eng, pos1_0_a_eng, pos1_1_a_eng, $
		w_no_pos_a_eng, w_mult_pos_a_eng, w_valid_a_eng, sf2_a_eng, sfr2_a_eng, stp2_a_eng, pos2_0_a_eng, $
		pos2_1_a_eng, pos2_2_a_eng, pos2_3_a_eng, pos3_0_a_eng, pos3_1_a_eng, pos3_2_a_eng, pos3_3_a_eng, $
		stop0_a_eng, start0_a_eng, stop2_a_eng, start2_a_eng, pos1_a_eng, pos2_a_eng, pos3_a_eng, sf0ra_trig_a_eng, $
		$
		s_valid_b_eng, s_e_not_req_b_eng, s_e_req_b_eng, s_no_pos_b_eng, s_mult_pos_b_eng, s_no_e_b_eng, $
		s_mult_e_b_eng, ra_sat_a_b_eng, ra_sat_b_b_eng, ra_sat_both_b_eng, ssd_sw_b_eng, ssd_st_b_eng, $
		sf0_b_eng, sfr0_b_eng, stp0_b_eng, ra_trig_b_eng, pos1_0_b_eng, pos1_1_b_eng, $
		w_no_pos_b_eng, w_mult_pos_b_eng, w_valid_b_eng, sf2_b_eng, sfr2_b_eng, stp2_b_eng, pos2_0_b_eng, $
		pos2_1_b_eng, pos2_2_b_eng, pos2_3_b_eng, pos3_0_b_eng, pos3_1_b_eng, pos3_2_b_eng, pos3_3_b_eng, $
		stop0_b_eng, start0_b_eng, stop2_b_eng, start2_b_eng, pos1_b_eng, pos2_b_eng, pos3_b_eng, sf0ra_trig_b_eng,$
		$
		sum_defl_s_valid_a_eng, sum_defl_s_e_not_req_a_eng, sum_defl_s_e_req_a_eng, $
		sum_defl_s_no_pos_a_eng, sum_defl_s_mult_pos_a_eng, sum_defl_s_no_e_a_eng, sum_defl_s_mult_e_a_eng, $
		sum_defl_ra_sat_a_a_eng, sum_defl_ra_sat_b_a_eng, sum_defl_ra_sat_both_a_eng, $
		sum_defl_ssd_sw_a_eng, sum_defl_ssd_st_a_eng, sum_defl_sf0_a_eng, $
		sum_defl_sfr0_a_eng, sum_defl_stp0_a_eng, sum_defl_ra_trig_a_eng, sum_defl_pos1_0_a_eng, $
		sum_defl_pos1_1_a_eng, sum_defl_w_no_pos_a_eng, sum_defl_w_mult_pos_a_eng, $
		sum_defl_w_valid_a_eng, sum_defl_sf2_a_eng, sum_defl_sfr2_a_eng, sum_defl_stp2_a_eng, $
		sum_defl_pos2_0_a_eng, sum_defl_pos2_1_a_eng, sum_defl_pos2_2_a_eng, sum_defl_pos2_3_a_eng, $
		sum_defl_pos3_0_a_eng, sum_defl_pos3_1_a_eng, sum_defl_pos3_2_a_eng, sum_defl_pos3_3_a_eng, $
		sum_defl_stop0_a_eng, sum_defl_start0_a_eng, sum_defl_stop2_a_eng, sum_defl_start2_a_eng, $
		sum_defl_pos1_a_eng, sum_defl_pos2_a_eng, sum_defl_pos3_a_eng, sum_defl_sf0ra_trig_a_eng,$
		$
		sum_defl_s_valid_b_eng, sum_defl_s_e_not_req_b_eng, sum_defl_s_e_req_b_eng, $
		sum_defl_s_no_pos_b_eng, sum_defl_s_mult_pos_b_eng, sum_defl_s_no_e_b_eng, sum_defl_s_mult_e_b_eng, $
		sum_defl_ra_sat_a_b_eng, sum_defl_ra_sat_b_b_eng, sum_defl_ra_sat_both_b_eng, $
		sum_defl_ssd_sw_b_eng, sum_defl_ssd_st_b_eng, sum_defl_sf0_b_eng, sum_defl_sfr0_b_eng, $
		sum_defl_stp0_b_eng, sum_defl_ra_trig_b_eng, sum_defl_pos1_0_b_eng, sum_defl_pos1_1_b_eng, $
		sum_defl_w_no_pos_b_eng, sum_defl_w_mult_pos_b_eng, sum_defl_w_valid_b_eng, sum_defl_sf2_b_eng, $
		sum_defl_sfr2_b_eng, sum_defl_stp2_b_eng, sum_defl_pos2_0_b_eng, sum_defl_pos2_1_b_eng, $
		sum_defl_pos2_2_b_eng, sum_defl_pos2_3_b_eng, sum_defl_pos3_0_b_eng, sum_defl_pos3_1_b_eng, $
		sum_defl_pos3_2_b_eng, sum_defl_pos3_3_b_eng, $
		sum_defl_stop0_b_eng, sum_defl_start0_b_eng, sum_defl_stop2_b_eng, sum_defl_start2_b_eng, $
		sum_defl_pos1_b_eng, sum_defl_pos2_b_eng, sum_defl_pos3_b_eng, sum_defl_sf0ra_trig_b_eng, $
		error5_mon_a, error5_mon_b, error1_a, error1_b, $
		$
		 s_valid_a_full, s_e_not_req_a_full, s_e_req_a_full, s_no_pos_a_full, s_mult_pos_a_full, s_no_e_a_full, $
		s_mult_e_a_full, ra_sat_a_a_full, ra_sat_b_a_full, ra_sat_both_a_full, ssd_sw_a_full, ssd_st_a_full, $
		sf0_a_full, sfr0_a_full, stp0_a_full, ra_trig_a_full, pos1_0_a_full, pos1_1_a_full, $
		w_no_pos_a_full, w_mult_pos_a_full, w_valid_a_full, sf2_a_full, sfr2_a_full, stp2_a_full, pos2_0_a_full, $
		pos2_1_a_full, pos2_2_a_full, pos2_3_a_full, pos3_0_a_full, pos3_1_a_full, pos3_2_a_full, pos3_3_a_full, $
		stop0_a_full, start0_a_full, stop2_a_full, start2_a_full, pos2_a_full, pos3_a_full,$
		$
		s_valid_b_full, s_e_not_req_b_full, s_e_req_b_full, s_no_pos_b_full, s_mult_pos_b_full, s_no_e_b_full, $
		s_mult_e_b_full, ra_sat_a_b_full, ra_sat_b_b_full, ra_sat_both_b_full, ssd_sw_b_full, ssd_st_b_full, $
		sf0_b_full, sfr0_b_full, stp0_b_full, ra_trig_b_full, pos1_0_b_full, pos1_1_b_full, $
		w_no_pos_b_full, w_mult_pos_b_full, w_valid_b_full, sf2_b_full, sfr2_b_full, stp2_b_full, pos2_0_b_full, $
		pos2_1_b_full, pos2_2_b_full, pos2_3_b_full, pos3_0_b_full, pos3_1_b_full, pos3_2_b_full, pos3_3_b_full, $
		stop0_b_full, start0_b_full, stop2_b_full, start2_b_full, pos2_b_full, pos3_b_full,$
		$
		sum_defl_s_valid_a_full, sum_defl_s_e_not_req_a_full, sum_defl_s_e_req_a_full, $
		sum_defl_s_no_pos_a_full, sum_defl_s_mult_pos_a_full, sum_defl_s_no_e_a_full, sum_defl_s_mult_e_a_full, $
		sum_defl_ra_sat_a_a_full, sum_defl_ra_sat_b_a_full, sum_defl_ra_sat_both_a_full, $
		sum_defl_ssd_sw_a_full, sum_defl_ssd_st_a_full, sum_defl_sf0_a_full, $
		sum_defl_sfr0_a_full, sum_defl_stp0_a_full, sum_defl_ra_trig_a_full, sum_defl_pos1_0_a_full, $
		sum_defl_pos1_1_a_full, sum_defl_w_no_pos_a_full, sum_defl_w_mult_pos_a_full, $
		sum_defl_w_valid_a_full, sum_defl_sf2_a_full, sum_defl_sfr2_a_full, sum_defl_stp2_a_full, $
		sum_defl_pos2_0_a_full, sum_defl_pos2_1_a_full, sum_defl_pos2_2_a_full, sum_defl_pos2_3_a_full, $
		sum_defl_pos3_0_a_full, sum_defl_pos3_1_a_full, sum_defl_pos3_2_a_full, sum_defl_pos3_3_a_full, $
		sum_defl_stop0_a_full, sum_defl_start0_a_full, sum_defl_stop2_a_full, sum_defl_start2_a_full, $
		sum_defl_pos2_a_full, sum_defl_pos3_a_full,$
		$
		sum_defl_s_valid_b_full, sum_defl_s_e_not_req_b_full, sum_defl_s_e_req_b_full, $
		sum_defl_s_no_pos_b_full, sum_defl_s_mult_pos_b_full, sum_defl_s_no_e_b_full, sum_defl_s_mult_e_b_full, $
		sum_defl_ra_sat_a_b_full, sum_defl_ra_sat_b_b_full, sum_defl_ra_sat_both_b_full, $
		sum_defl_ssd_sw_b_full, sum_defl_ssd_st_b_full, sum_defl_sf0_b_full, sum_defl_sfr0_b_full, $
		sum_defl_stp0_b_full, sum_defl_ra_trig_b_full, sum_defl_pos1_0_b_full, sum_defl_pos1_1_b_full, $
		sum_defl_w_no_pos_b_full, sum_defl_w_mult_pos_b_full, sum_defl_w_valid_b_full, sum_defl_sf2_b_full, $
		sum_defl_sfr2_b_full, sum_defl_stp2_b_full, sum_defl_pos2_0_b_full, sum_defl_pos2_1_b_full, $
		sum_defl_pos2_2_b_full, sum_defl_pos2_3_b_full, sum_defl_pos3_0_b_full, sum_defl_pos3_1_b_full, $
		sum_defl_pos3_2_b_full, sum_defl_pos3_3_b_full, $
		sum_defl_stop0_b_full, sum_defl_start0_b_full, sum_defl_stop2_b_full, sum_defl_start2_b_full, $
		sum_defl_pos2_b_full, sum_defl_pos3_b_full,$
		$
		num_rows1_full, error1_full_a, error1_full_b, cycle1_full_a, cycle1_full_b, s_chan1_full_a, s_chan1_full_b, $
		$
		lrnm_spare_a, lvc_neg12v_a, lvc_neg5v_a, esa_vm_pos_a, dfl_1_vm_a, dfl_1_tap_a, dfl_2_vm_a, dfl_2_tap_a, $
		lvc_pos2point5v_b_a, pac_cm_dc_a, lvc_pos12v_a, lrpm_spare_a, lvc_pos2point5v_a_a, lvc_pos5v_a, $
		adc_avdd_a, adc_dvdd_a, pac_vm_a, cal_vref_a, pac_cm_ac_a, mcp_vm_a, mcp_cm_dc_a, mcp_cm_ac_a, $
		ssd_cm_dc_a, s_ch_vm_a, s_ch_vm_tap_a, s_ch_cm_dc_a, esa_vm_neg_a, esa_cm_dc_a, dfl_1_cm_dc_a, $
		dfl_2_cm_dc_a, lvc_pos2point5v_b_imon_a, lvc_pos12v_imon_a, lvc_neg12v_imon_a, lvc_pos5v_imon_a, $
		lvc_neg5v_imon_a, lvc_pos2point5v_a_imon_a, ssd_vm_a, adc_lu_flag_a, plug_id_a, adc_lu_ctr_a, $
		dac_status_a, adc0_agnd_a, adc1_agnd_a, ra_e0_a, ra_e1_a, tac0_tsp_a, tac2_tsp_a, sb0_tsp_a, $
		sb1_tsp_a, tof_hv0_tsp_a, tof_hv1_tsp_a, s_c_0_tsp_a, s_c_1_tsp_a, lvc0_tsp_a, lvc1_tsp_a, $
		adc0_vref_a, adc1_vref_a, ssd_status_a, ssd_v_pos_analog_a, ssd_v_neg_analog_a, ssd_hv_bias_a, $
		ssd_tc0_a, ssd_tc1_a, ssd_tc2_a, ssd_v_pos_dig_a, device_code_a, $
		lrnm_spare_b, lvc_neg12v_b, lvc_neg5v_b, esa_vm_pos_b, dfl_1_vm_b, dfl_1_tap_b, dfl_2_vm_b, dfl_2_tap_b, $
		lvc_pos2point5v_b_b, pac_cm_dc_b, lvc_pos12v_b, lrpm_spare_b, lvc_pos2point5v_a_b, lvc_pos5v_b, $
		adc_avdd_b, adc_dvdd_b, pac_vm_b, cal_vref_b, pac_cm_ac_b, mcp_vm_b, mcp_cm_dc_b, mcp_cm_ac_b, $
		ssd_cm_dc_b, s_ch_vm_b, s_ch_vm_tap_b, s_ch_cm_dc_b, esa_vm_neg_b, esa_cm_dc_b, dfl_1_cm_dc_b, $
		dfl_2_cm_dc_b, lvc_pos2point5v_b_imon_b, lvc_pos12v_imon_b, lvc_neg12v_imon_b, lvc_pos5v_imon_b, $
		lvc_neg5v_imon_b, lvc_pos2point5v_a_imon_b, ssd_vm_b, adc_lu_flag_b, plug_id_b, adc_lu_ctr_b, $
		dac_status_b, adc0_agnd_b, adc1_agnd_b, ra_e0_b, ra_e1_b, tac0_tsp_b, tac2_tsp_b, sb0_tsp_b, $
		sb1_tsp_b, tof_hv0_tsp_b, tof_hv1_tsp_b, s_c_0_tsp_b, s_c_1_tsp_b, lvc0_tsp_b, lvc1_tsp_b, $
		adc0_vref_b, adc1_vref_b, ssd_status_b, ssd_v_pos_analog_b, ssd_v_neg_analog_b, ssd_hv_bias_b, $
		ssd_tc0_b, ssd_tc1_b, ssd_tc2_b, ssd_v_pos_dig_b, device_code_b, $
		$
		dpu_sw_version_a, cmd_rcvd_cnt_a, cmd_exec_cnt_a, cmd_total_err_cnt_a, cmd_parity_err_cnt_a, $
	cmd_frame_err_cnt_a, cmd_illegal_err_cnt_a, ic_status_reg_a, ic_ctl_reg_a, lbc_reset_ctl_a, lbc_mode_ctl_a, $
	lbc_logic_ctl_a_a, lbc_logic_ctl_b_a, lbc_tac_pwr_ctl_a, lbc_reg_seq_a, lbc_event_ctl_a, lbc_rlim_ch_a, $
	lbc_rlim_hi_a, lbc_rlim_lo_a, lbe_pos_ctrl_a, lbe_pos_disable0_a, lbe_pos_disable2_a, lbe_tac0_ctrl_a, $
	lbe_tac0_dac_a, lbe_tac2_ctrl_a, lbe_tac2_dac_a, lbe_tac0_under_hi_a, lbe_tac0_under_lo_a, lbe_tac0_over_hi_a, $
	lbe_tac0_over_lo_a, lbe_tac2_under_hi_a, lbe_tac2_under_lo_a, lbe_tac2_over_hi_a, lbe_tac2_over_lo_a, $
	lbe_ssd_ctrl_a, lbe_ssd_cmd_h_a, lbe_ssd_cmd_l_a, lbe_ssd_dis_a, lbe_ssd_under_hi_a, lbe_ssd_under_lo_a, $
	lbe_ssd_over_hi_a, lbe_ssd_over_lo_a, lbe_sel_ctrl_a, lbe_trig_mode_a, lbe_esa_step_a, lbe_defl_step_a, $
	lbe_ssd_offset0_a, lbe_ssd_offset1_a, lbe_ssd_offset2_a, lbe_ssd_offset3_a, lbe_ssd_offset4_a, $
	lbe_ssd_offset5_a, lbe_ssd_offset6_a, lbe_ssd_offset7_a, lbe_stim_enable_a, lbe_stim_freq_hi_a, $
	lbe_stim_freq_lo_a, lbe_sel0_window_a, lbe_sel2_window_a, lbe_ssd_offset8_a, lbe_ssd_offset9_a, $
	lbe_ssd_offset10_a, lbe_ssd_offset11_a, lbe_ssd_offset12_a, lbe_ssd_offset13_a, lbe_ssd_offset14_a, $
	lbe_ssd_offset15_a, lbe_pos_ra_a, dacm_pac_mcp_ssd_ctl_mcp_limit_a, dacm_pac_limit_a, dacm_esa_ctl_a, $
	dacm_s_ch_ctl_a, dacm_dfl_1_ctl_a, dacm_dfl_2_ctl_a, dacm_control_a, dacm_status_a, dacm_adc_lu_ctr_a, $
	dacm_dfl_1_offset_a, dacm_dfl_2_offset_a, dacm_pac_coarse_a, dacm_pac_fine_a, dacm_pac_cm_fs_coarse_a, $
	dacm_pac_cm_fs_fine_a, dacm_mcp_coarse_a, dacm_mcp_fine_a, dacm_mcp_cm_fs_coarse_a, dacm_mcp_cm_fs_fine_a, $
	dacm_ssd_coarse_a, dacm_ssd_fine_a, dacm_esa_coarse_a, dacm_esa_fine_a, dacm_s_ch_coarse_a, dacm_s_ch_fine_a, $
	dacm_s_ch_tap_coarse_a, dacm_s_ch_tap_fine_a, dacm_dfl_1_coarse_a, dacm_dfl_1_fine_a, dacm_dfl_1_dfine_a, $
	dacm_dfl_2_coarse_a, dacm_dfl_2_fine_a, dacm_dfl_2_dfine_a, dacr_pac_mcp_ssd_ctl_mcp_limit_a, $
	dacr_pac_limit_a, dacr_esa_ctl_a, dacr_s_ch_ctl_a, dacr_dfl_1_ctl_a, dacr_dfl_2_ctl_a, dacr_control_a, $
	dacr_status_a, dacr_adc_lu_ctr_a, dacr_dfl_1_offset_a, dacr_dfl_2_offset_a, dacr_c_pac_coarse_a, $
	dacr_c_pac_fine_a, dacr_c_pac_cm_fs_coarse_a, dacr_c_pac_cm_fs_fine_a, dacr_c_mcp_coarse_a, dacr_c_mcp_fine_a, $
	dacr_c_mcp_cm_fs_coarse_a, dacr_c_mcp_cm_fs_fine_a, dacr_c_ssd_coarse_a, dacr_c_ssd_fine_a, dacr_c_esa_coarse_a, $
	dacr_c_esa_fine_a, dacr_c_s_ch_coarse_a, dacr_c_s_ch_fine_a, dacr_c_s_ch_tap_coarse_a, dacr_c_s_ch_tap_fine_a, $
	dacr_dfl_1_coarse_a, dacr_dfl_1_fine_a, dacr_dfl_1_dfine_a, dacr_dfl_2_coarse_a, dacr_dfl_2_fine_a, $
	dacr_dfl_2_dfine_a, sw_status1_a, sw_hv_ramp_status_a, sw_hv_enable_status_a, sw_hv_limit_status_a, $
	sw_eepromchksum_a, hkp_sampletime_a, pac_discharge_status_a, pac_discharge_cnt_a, pac_discharge_conseccntr_a, $
	pac_discharge_safe_att_a, analog_limit_status_a, analog_lim_pt1_status_a, analog_lim_pt1_id_a, $
	analog_lim_pt1_red_a, analog_lim_pt2_status_a, analog_lim_pt2_id_a, analog_lim_pt2_red_a, $
	analog_lim_pt3_status_a, analog_lim_pt3_id_a, analog_lim_pt3_red_a, analog_lim_pt4_status_a, $
	analog_lim_pt4_id_a, analog_lim_pt4_red_a, analog_lim_pt5_status_a, analog_lim_pt5_id_a, analog_lim_pt5_red_a, $
	analog_lim_pt6_status_a, analog_lim_pt6_id_a, analog_lim_pt6_red_a, analog_lim_pt7_status_a, $
	analog_lim_pt7_id_a, analog_lim_pt7_red_a, analog_lim_pt8_status_a, analog_lim_pt8_id_a, analog_lim_pt8_red_a, $
	analog_lim_pt9_status_a, analog_lim_pt9_id_a, analog_lim_pt9_red_a, analog_lim_pt10_status_a, $
	analog_lim_pt10_id_a, analog_lim_pt10_red_a, analog_lim_pt11_status_a, analog_lim_pt11_id_a, $
	analog_lim_pt11_red_a, analog_lim_pt12_status_a, analog_lim_pt12_id_a, analog_lim_pt12_red_a, $
	analog_lim_pt13_status_a, analog_lim_pt13_id_a, analog_lim_pt13_red_a, analog_lim_pt14_status_a, $
	analog_lim_pt14_id_a, analog_lim_pt14_red_a, analog_lim_pt15_status_a, analog_lim_pt15_id_a, $
	analog_lim_pt15_red_a, opmode_a, sw_mode_a, proton_mode_a, active_supplyid_a, supply_coarse_rb_a, $
	supply_fine_rb_a, swmaint_supplystat_a, swmaint_pac_coarse_a, swmaint_pac_fine_a, $
	dpu_sw_version_b, cmd_rcvd_cnt_b, cmd_exec_cnt_b, cmd_total_err_cnt_b, cmd_parity_err_cnt_b, $
	cmd_frame_err_cnt_b, cmd_illegal_err_cnt_b, ic_status_reg_b, ic_ctl_reg_b, lbc_reset_ctl_b, $
	lbc_mode_ctl_b, lbc_logic_ctl_a_b, lbc_logic_ctl_b_b, lbc_tac_pwr_ctl_b, lbc_reg_seq_b, $
	lbc_event_ctl_b, lbc_rlim_ch_b, lbc_rlim_hi_b, lbc_rlim_lo_b, lbe_pos_ctrl_b, lbe_pos_disable0_b, $
	lbe_pos_disable2_b, lbe_tac0_ctrl_b, lbe_tac0_dac_b, lbe_tac2_ctrl_b, lbe_tac2_dac_b, $
	lbe_tac0_under_hi_b, lbe_tac0_under_lo_b, lbe_tac0_over_hi_b, lbe_tac0_over_lo_b, $
	lbe_tac2_under_hi_b, lbe_tac2_under_lo_b, lbe_tac2_over_hi_b, lbe_tac2_over_lo_b, $
	lbe_ssd_ctrl_b, lbe_ssd_cmd_h_b, lbe_ssd_cmd_l_b, lbe_ssd_dis_b, lbe_ssd_under_hi_b, $
	lbe_ssd_under_lo_b, lbe_ssd_over_hi_b, lbe_ssd_over_lo_b, lbe_sel_ctrl_b, lbe_trig_mode_b, $
	lbe_esa_step_b, lbe_defl_step_b, lbe_ssd_offset0_b, lbe_ssd_offset1_b, lbe_ssd_offset2_b, $
	lbe_ssd_offset3_b, lbe_ssd_offset4_b, lbe_ssd_offset5_b, lbe_ssd_offset6_b, lbe_ssd_offset7_b, $
	lbe_stim_enable_b, lbe_stim_freq_hi_b, lbe_stim_freq_lo_b, lbe_sel0_window_b, lbe_sel2_window_b, $
	lbe_ssd_offset8_b, lbe_ssd_offset9_b, lbe_ssd_offset10_b, lbe_ssd_offset11_b, lbe_ssd_offset12_b, $
	lbe_ssd_offset13_b, lbe_ssd_offset14_b, lbe_ssd_offset15_b, lbe_pos_ra_b, dacm_pac_mcp_ssd_ctl_mcp_limit_b, $
	dacm_pac_limit_b, dacm_esa_ctl_b, dacm_s_ch_ctl_b, dacm_dfl_1_ctl_b, dacm_dfl_2_ctl_b, dacm_control_b, $
	dacm_status_b, dacm_adc_lu_ctr_b, dacm_dfl_1_offset_b, dacm_dfl_2_offset_b, dacm_pac_coarse_b, $
	dacm_pac_fine_b, dacm_pac_cm_fs_coarse_b, dacm_pac_cm_fs_fine_b, dacm_mcp_coarse_b, dacm_mcp_fine_b, $
	dacm_mcp_cm_fs_coarse_b, dacm_mcp_cm_fs_fine_b, dacm_ssd_coarse_b, dacm_ssd_fine_b, dacm_esa_coarse_b, $
	dacm_esa_fine_b, dacm_s_ch_coarse_b, dacm_s_ch_fine_b, dacm_s_ch_tap_coarse_b, dacm_s_ch_tap_fine_b, $
	dacm_dfl_1_coarse_b, dacm_dfl_1_fine_b, dacm_dfl_1_dfine_b, dacm_dfl_2_coarse_b, dacm_dfl_2_fine_b, $
	dacm_dfl_2_dfine_b, dacr_pac_mcp_ssd_ctl_mcp_limit_b, dacr_pac_limit_b, dacr_esa_ctl_b, $
	dacr_s_ch_ctl_b, dacr_dfl_1_ctl_b, dacr_dfl_2_ctl_b, dacr_control_b, dacr_status_b, dacr_adc_lu_ctr_b, $
	dacr_dfl_1_offset_b, dacr_dfl_2_offset_b, dacr_c_pac_coarse_b, dacr_c_pac_fine_b, dacr_c_pac_cm_fs_coarse_b, $
	dacr_c_pac_cm_fs_fine_b, dacr_c_mcp_coarse_b, dacr_c_mcp_fine_b, dacr_c_mcp_cm_fs_coarse_b, $
	dacr_c_mcp_cm_fs_fine_b, dacr_c_ssd_coarse_b, dacr_c_ssd_fine_b, dacr_c_esa_coarse_b, dacr_c_esa_fine_b, $
	dacr_c_s_ch_coarse_b, dacr_c_s_ch_fine_b, dacr_c_s_ch_tap_coarse_b, dacr_c_s_ch_tap_fine_b, $
	dacr_dfl_1_coarse_b, dacr_dfl_1_fine_b, dacr_dfl_1_dfine_b, dacr_dfl_2_coarse_b, dacr_dfl_2_fine_b, $
	dacr_dfl_2_dfine_b, sw_status1_b, sw_hv_ramp_status_b, sw_hv_enable_status_b, sw_hv_limit_status_b, $
	sw_eepromchksum_b, hkp_sampletime_b, pac_discharge_status_b, pac_discharge_cnt_b, pac_discharge_conseccntr_b, $
	pac_discharge_safe_att_b, analog_limit_status_b, analog_lim_pt1_status_b, analog_lim_pt1_id_b, $
	analog_lim_pt1_red_b, analog_lim_pt2_status_b, analog_lim_pt2_id_b, analog_lim_pt2_red_b, $
	analog_lim_pt3_status_b, analog_lim_pt3_id_b, analog_lim_pt3_red_b, analog_lim_pt4_status_b, $
	analog_lim_pt4_id_b, analog_lim_pt4_red_b, analog_lim_pt5_status_b, analog_lim_pt5_id_b, $
	analog_lim_pt5_red_b, analog_lim_pt6_status_b, analog_lim_pt6_id_b, analog_lim_pt6_red_b, $
	analog_lim_pt7_status_b, analog_lim_pt7_id_b, analog_lim_pt7_red_b, analog_lim_pt8_status_b, $
	analog_lim_pt8_id_b, analog_lim_pt8_red_b, analog_lim_pt9_status_b, analog_lim_pt9_id_b, $
	analog_lim_pt9_red_b, analog_lim_pt10_status_b, analog_lim_pt10_id_b, analog_lim_pt10_red_b, $
	analog_lim_pt11_status_b, analog_lim_pt11_id_b, analog_lim_pt11_red_b, analog_lim_pt12_status_b, $
	analog_lim_pt12_id_b, analog_lim_pt12_red_b, analog_lim_pt13_status_b, analog_lim_pt13_id_b, $
	analog_lim_pt13_red_b, analog_lim_pt14_status_b, analog_lim_pt14_id_b, analog_lim_pt14_red_b, $
	analog_lim_pt15_status_b, analog_lim_pt15_id_b, analog_lim_pt15_red_b, opmode_b, sw_mode_b, $
	proton_mode_b, active_supplyid_b, supply_coarse_rb_b, supply_fine_rb_b, swmaint_supplystat_b, $
	swmaint_pac_coarse_b, swmaint_pac_fine_b, $
	$
	 pl_ebox_tmp_a, pl_inst_msg_pwr_dwn_req_a, pl_pwr_cur_a, $
	 pl_pwr_tt_a, pl_surv_pwr_cur_a, pl_surv_pwr_tt_a, pl_tof_tmp_a, $
	pl_pwr_vt_a, pl_surv_pwr_vt_a, $
	pl_ebox_tmp_b, pl_inst_msg_pwr_dwn_req_b, pl_pwr_cur_b, $
	 pl_pwr_tt_b, pl_surv_pwr_cur_b, pl_surv_pwr_tt_b, pl_tof_tmp_b, $
	pl_pwr_vt_b, pl_surv_pwr_vt_b
       


END 
