;+
;PROCEDURE: set_plot_attributes_mon_full
;PURPOSE: Plot the products.
;
;PARAMETERS:   prod: array of product names 
;              num_files_a: number of files for sat a
;              num_files_b: number of files for sat b
;
;CREATED BY: L. Ellis (plot_moments)
;
;LAST MODIFICATION: 07/03/2007
;
;MODIFICATION HISTORY:
;    10/13/2006 Created
;	3 July, 2007:  calls variables from share1_mon and com_mon
;-
PRO set_plot_attributes_mon_full, prod_mon_full, E_step, HZ, sat
compile_opt strictarrsubs

COMMON tplot_com1
COMMON share1_mon
COMMON com_mon

q = ' '
IF (HZ EQ 0) THEN q = ' Counts/Accumulation Cycle'
IF (HZ EQ 1) THEN q = ' Counts/Second'

prefix_a = 'A_Monitor_Rate_Full_'
prefix_b = 'B_Monitor_Rate_Full_'
k = ' '
fm = ' '


IF (sat EQ 'A') THEN fm = 'A_'
IF (sat EQ 'B') THEN fm = 'B_'

FOR jj=0,n_elements(E_step)-1 DO BEGIN
	CASE E_step(jj) OF
		0: k = '_0'
		1: k = '_1'
		2: k = '_2'
		3: k = '_3'
		4: k = '_4'
		5: k = '_5'
		6: k = '_6'
		7: k = '_7'
		8: k = '_8'
		9: k = '_9'
		10: k = '_10'
		11: k = '_11'
		12: k = '_12'
		13: k = '_13'
		14: k = '_14'
		15: k = '_15'
		16: k = '_16'
		17: k = '_17'
		18: k = '_18'
		19: k = '_19'
		20: k = '_20'
		21: k = '_21'
		22: k = '_22'
		23: k = '_23'
		24: k = '_24'
		25: k = '_25'
		26: k = '_26'
		27: k = '_27'
		28: k = '_28'
		29: k = '_29'
		30: k = '_30'
		31: k = '_31'
		32: k = '_32'
		33: k = '_33'
		34: k = '_34'
		35: k = '_35'
		36: k = '_36'
		37: k = '_37'
		38: k = '_38'
		39: k = '_39'
		40: k = '_40'
		41: k = '_41'
		42: k = '_42'
		43: k = '_43'
		44: k = '_44'
		45: k = '_45'
		46: k = '_46'
		47: k = '_47'
		48: k = '_48'
		49: k = '_49'
		50: k = '_50'
		51: k = '_51'
		52: k = '_52'
		53: k = '_53'
		54: k = '_54'
		55: k = '_55'
		56: k = '_56'
		57: k = '_57'
		58: k = '_58'
		59: k = '_59'
		60: k = '_60'
		61: k = '_61'
		62: k = '_62'
		63: k = '_63'
		64: k = '_64'
		65: k = '_65'
		66: k = '_66'
		67: k = '_67'
		68: k = '_68'
		69: k = '_69'
		70: k = '_70'
		71: k = '_71'
		72: k = '_72'
		73: k = '_73'
		74: k = '_74'
		75: k = '_75'
		76: k = '_76'
		77: k = '_77'
		78: k = '_78'
		79: k = '_79'
		80: k = '_80'
		81: k = '_81'
		82: k = '_82'
		83: k = '_83'
		84: k = '_84'
		85: k = '_85'
		86: k = '_86'
		87: k = '_87'
		88: k = '_88'
		89: k = '_89'
		90: k = '_90'
		91: k = '_91'
		92: k = '_92'
		93: k = '_93'
		94: k = '_94'
		95: k = '_95'
		96: k = '_96'
		97: k = '_97'
		98: k = '_98'
		99: k = '_99'
		100: k = '_100'
		101: k = '_101'
		102: k = '_102'
		103: k = '_103'
		104: k = '_104'
		105: k = '_105'
		106: k = '_106'
		107: k = '_107'
		108: k = '_108'
		109: k = '_109'
		110: k = '_110'
		111: k = '_111'
		112: k = '_112'
		113: k = '_113'
		114: k = '_114'
		115: k = '_115'
		116: k = '_116'
		117: k = '_117'
		118: k = '_118'
		119: k = '_119'
		120: k = '_120'
		121: k = '_121'
		122: k = '_122'
		123: k = '_123'
		124: k = '_124'
		125: k = '_125'
		126: k = '_126'
		127: k = '_127'
				
	ENDCASE



FOR ii = 0, n_elements(prod_mon_full)-1 DO BEGIN 
	    IF sat EQ 'A' THEN prefix = prefix_a ELSE prefix = prefix_b
	    temp_prod = prod_mon_full[ii]


CASE temp_prod OF
's_valid': BEGIN
	store_data, fm+'s_valid'+k,data=[prefix+'s_valid_full'+k]
	options, fm+'s_valid'+k, 'ytitle', sat+' S_VALID'+k
	END

's_e_not_req': BEGIN
	store_data, fm+'s_e_not_req'+k,data=[prefix+'s_e_not_req_full'+k]
	options, fm+'s_e_not_req'+k, 'ytitle', sat+' S_E_NOT_REQ'+k
	END

's_e_req': BEGIN
	store_data, fm+'s_e_req'+k,data=[prefix+'s_e_req_full'+k]
	options, fm+'s_e_req'+k, 'ytitle', sat+' S_E_REQ'+k
	END

's_no_pos': BEGIN
	store_data, fm+'s_no_pos'+k,data=[prefix+'s_no_pos_full'+k]
	options, fm+'s_no_pos'+k, 'ytitle', sat+' S_NO_POS'+k
	END

's_mult_pos': BEGIN
	store_data, fm+'s_mult_pos'+k,data=[prefix+'s_mult_pos_full'+k]
	options, fm+'s_mult_pos'+k, 'ytitle', sat+' S_MULT_POS'+k
	END

's_no_e': BEGIN
	store_data, fm+'s_no_e'+k,data=[prefix+'s_no_e_full'+k]
	options, fm+'s_no_e'+k, 'ytitle', sat+' S_NO_E'+k
	END

's_mult_e': BEGIN
	store_data, fm+'s_mult_e'+k,data=[prefix+'s_mult_e_full'+k]
	options, fm+'s_mult_e'+k, 'ytitle', sat+' S_MULT_E'+k
	END

'ra_sat_a': BEGIN
	store_data, fm+'ra_sat_a'+k,data=[prefix+'ra_sat_a_full'+k]
	options, fm+'ra_sat_a'+k, 'ytitle', sat+' RA_SAT_A'+k
	END

'ra_sat_b': BEGIN
	store_data, fm+'ra_sat_b'+k,data=[prefix+'ra_sat_b_full'+k]
	options, fm+'ra_sat_b'+k, 'ytitle', sat+' RA_SAT_B'+k
	END

'ra_sat_both': BEGIN
	store_data, fm+'ra_sat_both'+k,data=[prefix+'ra_sat_both_full'+k]
	options, fm+'ra_sat_both'+k, 'ytitle', sat+' RA_SAT_BOTH'+k
	END

'ssd_sw': BEGIN
	store_data, fm+'ssd_sw'+k,data=[prefix+'ssd_sw_full'+k]
	options, fm+'ssd_sw'+k, 'ytitle', sat+' SSD_SW'+k
	END

'ssd_st': BEGIN
	store_data, fm+'ssd_st'+k,data=[prefix+'ssd_st_full'+k]
	options, fm+'ssd_st'+k, 'ytitle', sat+' SSD_ST'+k
	END

'sf0': BEGIN
	store_data, fm+'sf0'+k,data=[prefix+'sf0_full'+k]
	options, fm+'sf0'+k, 'ytitle', sat+' SF0'+k
	IF (sat EQ 'A') THEN y_hi = 50.0*MAX(sum_defl_sf0_a_full(*,E_step(jj)))
	IF (sat EQ 'B') THEN y_hi = 50.0*MAX(sum_defl_sf0_b_full(*,E_step(jj)))
	ylim, fm+'sf0'+k, 0.01, y_hi,1
	END

'sfr0': BEGIN
	store_data, fm+'sfr0'+k,data=[prefix+'sfr0_full'+k]
	options, fm+'sfr0'+k, 'ytitle', sat+' SFR0'+k
	END

'stp0': BEGIN
	store_data, fm+'stp0'+k,data=[prefix+'stp0_full'+k]
	options, fm+'stp0'+k, 'ytitle', sat+' STP0'+k
	END

'ra_trig': BEGIN
	store_data, fm+'ra_trig'+k,data=[prefix+'ra_trig_full'+k]
	options, fm+'ra_trig'+k, 'ytitle', sat+' RA_TRIG'+k
	END

'pos1_0': BEGIN
	store_data, fm+'pos1_0'+k,data=[prefix+'pos1_0_full'+k]
	options, fm+'pos1_0'+k, 'ytitle', sat+' POS1_0'+k
	END

'pos1_1': BEGIN
	store_data, fm+'pos1_1'+k,data=[prefix+'pos1_1_full'+k]
	options, fm+'pos1_1'+k, 'ytitle', sat+' POS1_1'+k
	END

'w_no_pos':  BEGIN
	store_data, fm+'w_no_pos'+k,data=[prefix+'w_no_pos_full'+k]
	options, fm+'w_no_pos'+k, 'ytitle', sat+' W_NO_POS'+k
	END

'w_mult_pos': BEGIN
	store_data, fm+'w_mult_pos'+k,data=[prefix+'w_mult_pos_full'+k]
	options, fm+'w_mult_pos'+k, 'ytitle', sat+' W_MULT_POS'+k
	END

'w_valid': BEGIN
	store_data, fm+'w_valid'+k,data=[prefix+'w_valid_full'+k]
	options, fm+'w_valid'+k, 'ytitle', sat+' W_VALID'+k
	END

'sf2': BEGIN
	store_data, fm+'sf2'+k,data=[prefix+'sf2_full'+k]
	options, fm+'sf2'+k, 'ytitle', sat+' SF2'+k
	END

'sfr2': BEGIN
	store_data, fm+'sfr2'+k,data=[prefix+'sfr2_full'+k]
	options, fm+'sfr2'+k, 'ytitle', sat+' SFR2'+k
	END

'stp2': BEGIN
	store_data, fm+'stp2'+k,data=[prefix+'stp2_full'+k]
	options, fm+'stp2'+k, 'ytitle', sat+' STP2'+k
	END

'pos2_0': BEGIN
	store_data, fm+'pos2_0'+k,data=[prefix+'pos2_0_full'+k]
	options, fm+'pos2_0'+k, 'ytitle', sat+' POS2_0'+k
	END

'pos2_1': BEGIN
	store_data, fm+'pos2_1'+k,data=[prefix+'pos2_1_full'+k]
	options, fm+'pos2_1'+k, 'ytitle', sat+' POS2_1'+k
	END

'pos2_2': BEGIN
	store_data, fm+'pos2_2'+k,data=[prefix+'pos2_2_full'+k]
	options, fm+'pos2_2'+k, 'ytitle', sat+' POS2_2'+k
	END

'pos2_3': BEGIN
	store_data, fm+'pos2_3'+k,data=[prefix+'pos2_3_full'+k]
	options, fm+'pos2_3'+k, 'ytitle', sat+' POS2_3'+k
	END

'pos3_0': BEGIN
	store_data, fm+'pos3_0'+k,data=[prefix+'pos3_0_full'+k]
	options, fm+'pos3_0'+k, 'ytitle', sat+' POS3_0'+k
	END

'pos3_1': BEGIN
	store_data, fm+'pos3_1'+k,data=[prefix+'pos3_1_full'+k]
	options, fm+'pos3_1'+k, 'ytitle', sat+' POS3_1'+k
	END

'pos3_2': BEGIN
	store_data, fm+'pos3_2'+k,data=[prefix+'pos3_2_full'+k]
	options, fm+'pos3_2'+k, 'ytitle', sat+' POS3_2'+k
	END

'pos3_3': BEGIN
	store_data, fm+'pos3_3'+k,data=[prefix+'pos3_3_full'+k]
	options, fm+'pos3_3'+k, 'ytitle', sat+' POS3_3'+k
	END
'pos2': BEGIN
	store_data, fm+'pos2'+k,data=[prefix+'pos2_full'+k]
	options, fm+'pos2'+k, 'ytitle',sat+' POS2'+k
	END
'pos3': BEGIN
	store_data, fm+'pos3'+k,data=[prefix+'pos3_full'+k]
	options, fm+'pos3'+k, 'ytitle',sat+' POS3'+k
	END
'stop0': BEGIN
	store_data, fm+'stop0'+k,data=[prefix+'stop0_full'+k]
	options, fm+'stop0'+k, 'ytitle', sat+' SFR0/SF0'+k
	END

'start0': BEGIN
	store_data, fm+'start0'+k,data=[prefix+'start0_full'+k]
	options, fm+'start0'+k, 'ytitle', sat+' SFR0/STP0'+k
	END

'stop2': BEGIN
	store_data, fm+'stop2'+k,data=[prefix+'stop2_full'+k]
	options, fm+'stop2'+k, 'ytitle', sat+' SFR2/SF2'+k
	END

'start2': BEGIN
	store_data, fm+'start2'+k,data=[prefix+'start2_full'+k]
	options, fm+'start2'+k, 'ytitle', sat+' SFR2/STP2'+k
	END
ENDCASE

ENDFOR

ENDFOR

IF (sat EQ 'A') THEN BEGIN
	store_data, 'A_error1',data=[prefix_a+'error1']
		options, 'A_error1', 'ytitle', 'A error1'
		options, 'A_error1','title','A:  POSSIBLE ERRORS'
		ylim, 'A_error1', 0.9, 1.1, 0

ENDIF ELSE BEGIN
	store_data, 'B_error1',data=[prefix_b+'error1']
		options, 'B_error1', 'ytitle', 'B error1'
		options, 'B_error1', 'title', 'B:  POSSIBLE ERRORS'
		ylim, 'B_error1', 0.9, 1.1, 0

ENDELSE

END 
