;+
;PROCEDURE:      splat_startup
;PURPOSE:   Perform initialization of SPLAT structures and variables at startup.
;
;CREATED BY:    Lorna Ellis
;LAST MODIFICATION:  09/12/06
;
;MODIFICATION HISTORY:
;   09/12/06: Adapted from Peter Schroeder's ccat_startup.pro
;   02/28/07: Error_log and OS check added (CGM)
;-

COMMON error_log_unit, error_log_unit

IF STRUPCASE(STRMID(!VERSION.OS_NAME, 0, 3)) EQ 'MAC' THEN PRINT, !version
DEVICE, TRUE_COLOR=24
DEVICE, RETAIN=2
DEVICE, DECOMPOSED=0
;CD, GETENV('SPLAT'), CURRENT=current
set_plot, 'PS' ; LBE added 05/21/2013
;loadct2, 41 ; LBE deleted 05/21/2013
pla_com
;CD, current

IF GETENV('ERROR_LOG') EQ 'ON' THEN $
    OPENW, error_log_unit, GETENV('SPLAT_USER') + '/error_log/' + $
           STRING('splat_err_log_', bin_date(systime()), FORMAT = '(A,I4,5I2.2)'), /GET_LUN

